[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[OT] Error kernel 2.6.14 y VMware



Hola, recientemente he pasado del kernel 2.6.10 al 2.6.14, compilado por mí 
pero haciendo "make oldconfig" de la anterior configuración.

Antes me funcionaba el VMware pero ahora no. Al ejecutar "vmware-config.pl" 
para crear el módulo me acaba diciendo esto:


  make[2]: *** [/tmp/vmware-config1/vmnet-only/driver.o] Error 1
  make[1]: *** [_module_/tmp/vmware-config1/vmnet-only] Error 2
  make[1]: Leaving directory `/usr/src/linux-source-2.6.14'
  make: *** [vmnet.ko] Error 2
  make: Leaving directory `/tmp/vmware-config1/vmnet-only'
  Unable to build the vmnet module.


Durante la compilación me sale MUCHAS veces este aviso:

  /tmp/vmware-config1/vmnet-only/vm_atomic.h:54:5: aviso: "_MSC_VER" no está
  definido

Así que parece que la llamada "_MSC_VER" no existe en esta versión del kernel 
¿no?


Sólo he encontrado en Google a otro que le pasa lo mismo con el kernel 2.6.13.


¿Alguna sugerencia? ¿Alguien consigue funcionar VMware en el kernel 2.6.13 o 
14?
Sé que en el 2.6.12 funciona pero lo dejo como último recurso.


Gracias y perdón por el Off-Topic.



-- 
que a mí ni me va ni me viene... pero por comentar...



Reply to: